Bug 1316018 - tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry is failing
tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTe...
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity low
: Upstream M2
: 12.0 (Pike)
Assigned To: Eoghan Glynn
Martin Kopec
: Automation, AutomationBlocker, TestOnly, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 04:32 EST by Arx Cruz
Modified: 2017-09-15 12:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arx Cruz 2016-03-09 04:32:38 EST
Description of problem:
tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry is failing

Version-Release number of selected component (if applicable):
openstack-ceilometer-collector-5.0.2-2.el7ost.noarch
python-ceilometerclient-1.5.2-1.el7ost.noarch
python-ceilometer-5.0.2-2.el7ost.noarch
openstack-ceilometer-api-5.0.2-2.el7ost.noarch
openstack-ceilometer-compute-5.0.2-2.el7ost.noarch
python-ceilometermiddleware-0.3.0-1.el7ost.noarch
openstack-ceilometer-common-5.0.2-2.el7ost.noarch
openstack-ceilometer-polling-5.0.2-2.el7ost.noarch
openstack-ceilometer-notification-5.0.2-2.el7ost.noarch
openstack-ceilometer-alarm-5.0.2-2.el7ost.noarch
openstack-ceilometer-central-5.0.2-2.el7ost.noarch


How reproducible:


Steps to Reproduce:
1. Install OSPD
2. Run tempest

Actual results:
tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry 

Fails

Expected results:
tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry

Pass

Additional info:
In order to make it work on RHOS 7 and furter, it requires the package python-ceilometermiddleware which isn't installed in OSP-D deployment, for some reason.

Then, you need to edit /etc/swift/proxy-server.conf and setup the ceilometer in main pipeline:

pipeline=`cat /etc/swift/proxy-server.conf |grep "pipeline =" | sed 's/pipeline = //' | sed 's/proxy-server//'`
crudini --set /etc/swift/proxy-server.conf pipeline:main pipeline "$pipeline ceilometer proxy-server"
crudini --set /etc/swift/proxy-server.conf filter:ceilometer paste.filter_factory ceilometermiddleware.swift:filter_factory
crudini --set /etc/swift/proxy-server.conf filter:ceilometer control_exchange swift
crudini --set /etc/swift/proxy-server.conf filter:ceilometer url rabbit://guest:guest@RABBIT_IP:5672
crudini --set /etc/swift/proxy-server.conf filter:ceilometer driver messagingv2
crudini --set /etc/swift/proxy-server.conf filter:ceilometer topic notifications
crudini --set /etc/swift/proxy-server.conf filter:ceilometer log_level WARN

And restart the server:
systemctl restart openstack-swift-proxy
Comment 2 Mike Burns 2016-04-07 17:14:44 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Fabio Massimo Di Nitto 2017-05-18 11:25:04 EDT
hi Eoghan,

this bug was erroneously assigned to OpsTools. Could you please get somebody from Telemetry DFG to check if the issue still exists?

Tempest tests should be fixed/checked by corresponding DFGs.
Comment 5 Pradeep Kilambi 2017-05-18 14:45:03 EDT
We already deploy python-ceilometermiddleware as part of swift-proxy configuration in tripleo deployments so i think this is already fixed. I'll move it to TestOnly and have QA verify it.

Note You need to log in before you can comment on or make changes to this bug.